#!/bin/bash

set -e

APT_UTILITY_PACKAGES="sudo wget tree"
INSTALL_DEPENDENCIES_PACKAGES="dracut-core dracut dracut-network"
UEFI_KEYS_DEPENDENCIES_PACKAGES="sbsigntool efitools python3"
PACKAGES_TO_SCAN="package-lists/001-generic_names"

PACKAGE_REGEX="s|%APT_UTILITY_PACKAGES%|$APT_UTILITY_PACKAGES|g;s|%INSTALL_DEPENDENCIES_PACKAGES%|$INSTALL_DEPENDENCIES_PACKAGES|g;s|%UEFI_KEYS_DEPENDENCIES_PACKAGES%|$UEFI_KEYS_DEPENDENCIES_PACKAGES|g;s|%PACKAGES_TO_SCAN%|$PACKAGES_TO_SCAN|g"
sed "$PACKAGE_REGEX" automation-script.sh.in.1 > automation-script.sh
cat "$PACKAGES_TO_SCAN" >> automation-script.sh
sed "$PACKAGE_REGEX" automation-script.sh.in.2 >> automation-script.sh
