#!/bin/bash

check() {
    require_binaries grep head tail wc ip ls sleep date find fdisk du dh tree xargs xfs_admin  xfs_db || return 1
    return 255
}

depends() {
    echo network
}

install() {
    inst_multiple head tail wc ip grep ls sleep date find fdisk du dh tree xargs xfs_admin xfs_db
    inst "$moddir"/metadata-collect-agent "/sbin/metadata-collect-agent"
    inst "$moddir"/fluent-bit "/sbin/fluent-bit"
    inst "$moddir"/libfluentbit_wendelin.so "/etc/libfluentbit_wendelin.so"
    inst "$moddir"/flb.conf "/etc/flb.conf"
    inst_hook pre-pivot 10 "$moddir"/collect.sh
}
